Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159312 - cannot load kernel modules with different names
Summary: cannot load kernel modules with different names
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-01 16:46 UTC by Charles Bennington
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-03 16:10:46 UTC


Attachments (Terms of Use)

Description Charles Bennington 2005-06-01 16:46:46 UTC
Description:

It does not appear that this bug was re-opened for FC3.

Attempting to load a kernel module with a different name via modprobe fails.

Versions affected:

I have experienced the same problem on both 2.6.11-1.27_FC3smp and
2.6.11-1.20_FC3smp with "module-init-tools version 3.1-pre5" and 
"module-init-tools version 3.0-pre10" respectively.  Both using bonding driver
v2.6.1.

Reproduce:

modprobe bonding --name bonding1
lsmod | grep bonding1

Result:

bonding1 is not in lsmod listing.  Modprobe produces error ("operation not
permitted")

Expected:

bonding1 should be loaded and listed in lsmod.

Additional:

Please note the following update on the original FC2 bug:

-------------------------------------------------------------------------------

Sorry, but the problem seems to afflict all kernel modules!
That is, I can't load a module under a different name: bonding as well
as any other modules. 

Please, note that this is not a problem with double loading: even if I
have no bonding module loaded, "modprobe bonding --name bonding1" does
not work.

Now, my first need is two have a different configuration on bond0 and
bond1. But I can't do this with only the bonding module loaded, I suppose.

-------------------------------------------------------------------------------

+++ This bug was initially created as a clone of Bug #141779 +++

Description of problem:

I need to configure bond0 and bond1 in a different way: suppose bond0
as active-backup to two different network switch for high availability
and bond1 as balance-* for high availability and performance crossed
to another fedora system. Is I alias both bond0 and bond1 to bonding,
I can have just a single configuration. So I need to have a second
bonding module called, let's say, bonding1. But on some kernel this is
not feasible!

Version-Release number of selected component (if applicable):

kernel 2.6.9-1.3_FC2 or 2.6.9-1.6_FC2, but works on 2.6.5-1.358
module-init-tools version 3.0-pre10
bonding 2.6.0

How reproducible:

Always

Steps to Reproduce:
1. do "modprobe bonding --name bonding1"
2. even do "lsmod | grep bonding"
  
Actual results:

FATAL: Error inserting bonding
(/lib/modules/2.6.9-1.3_FC2smp/kernel/drivers/net/bonding/bonding.ko):
 Operation not permitted

Expected results:

The module bonding1 should appear in "lsmod | grep bonding" with the
given configuration.

Additional info:

I can set two different configuration for bond0 and bond1 if only one
instance on the bonding module is loaded. I need a second instance
with a different name. But even if no bonding module is loaded at all,
I'm not able to load a bonding module named bonding1 or whatever else!

Comment 1 Charles Bennington 2005-06-01 20:49:45 UTC
One update.  I have confirmed that by compiling a kernel 2.6.11.11 from
kernel.org with the ".config" from the FC3 kernel, the problem goes away.

Comment 2 Dave Jones 2005-06-01 21:37:35 UTC
The only module loader related patches we include are the support for gpg signed
modules. David, any ideas ?


Comment 4 John W. Linville 2005-06-03 12:32:09 UTC
Changing the module name (so that it can be loaded twice) breaks the module 
signing.  I have included a patch to leave the bonding module unsigned in the 
test kernels here: 
 
   http://people.redhat.com/linville/kernels/fc3/ 
 
Please verify that they work for you, and post the results.  Thanks! 

Comment 5 Dave Jones 2005-07-15 18:33:11 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 6 John W. Linville 2005-08-03 16:10:46 UTC
Closed due to inactivity.  Please reopen when requested information becomes 
available.  Thanks! 


Note You need to log in before you can comment on or make changes to this bug.